Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Class ValidatorConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.validator.ValidatorConfig

All Implemented Interfaces:
  Locatable

    public class ValidatorConfig

extends Located

Holds the necessary information for configuring an instance of a Validator.

Author:
  James House, Rainer Hermanns

Field Summary
`private String` | `defaultMessage`
`private String` | `messageKey`
`private Map` | `params`
`private boolean` | `shortCircuit`
`private String` | `type`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`ValidatorConfig()`
`ValidatorConfig(String validatorType, Map params)`

Method Summary
`String` | `getDefaultMessage()`
`String` | `getMessageKey()`
`Map` | `getParams()`
`String` | `getType()`
`boolean` | `isShortCircuit()`
`void` | `setDefaultMessage(String defaultMessage)`
`void` | `setMessageKey(String messageKey)`
`void` | `setParams(Map params)`
`void` | `setShortCircuit(boolean shortCircuit)`
`void` | `setType(String validatorType)`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    private String type

### params

    private Map params

### defaultMessage

    private String defaultMessage

### messageKey

    private String messageKey

### shortCircuit

    private boolean shortCircuit

Constructor Detail

### ValidatorConfig

    public ValidatorConfig()

### ValidatorConfig

    public ValidatorConfig(String validatorType,
                           Map params)

Parameters:
  `validatorType` -
  `params` -

Method Detail

### getDefaultMessage

    public String getDefaultMessage()

  Returns:
    Returns the defaultMessage for the validator.

### setDefaultMessage

    public void setDefaultMessage(String defaultMessage)

  Parameters:
    `defaultMessage` - The defaultMessage to set on the validator.

### getMessageKey

    public String getMessageKey()

  Returns:
    Returns the messageKey for the validator.

### setMessageKey

    public void setMessageKey(String messageKey)

  Parameters:
    `messageKey` - The messageKey to set on the validator.

### isShortCircuit

    public boolean isShortCircuit()

  Returns:
    Returns wether the shortCircuit flag should be set on the validator.

### setShortCircuit

    public void setShortCircuit(boolean shortCircuit)

  Parameters:
    `shortCircuit` - Whether the validator's shortCircuit flag should be set.

### getParams

    public Map getParams()

  Returns:
    Returns the configured params to set on the validator.

### setParams

    public void setParams(Map params)

  Parameters:
    `params` - The configured params to set on the validator.

### getType

    public String getType()

  Returns:
    Returns the type of validator to configure.

### setType

    public void setType(String validatorType)

  Parameters:
    `validatorType` - The type of validator to configure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.